Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Update a cluster

Updates a cluster’s settings.

PUT/cluster/{cluster_id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
cluster_iduuidrequired

The unique identifier of the cluster

Request body
requiredapplication/json
namestring

The name of the cluster.

min length 1 · matches \S
kube_configstring

The base64-encoded Kubernetes configuration for the cluster.

Responses
200

Cluster updated successfully

iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired

The name of the cluster.

cloud_providercloud_providerrequired

The cloud provider for the cluster.

Allowed:customawsgcp
statecluster_staterequired

The current lifecycle state of the cluster.

Allowed:UNKOWNREADYDEPLOYEDDEPLOYINGDEPLOY_QUEUEDDEPLOY_ERRORINITIALIZINGINITIALIZEDINITIALIZE_QUEUEDINITIALIZE_ERRORSTOPEDSTOPINGSTOP_QUEUEDSTOP_ERRORRESTARTRESTARTINGRESTART_QUEUEDRESTART_ERROR
created_atstring<date-time>required

The timestamp when the cluster was created.

update_atstring<date-time>required

The timestamp when the cluster was last updated.

deleted_atstring<date-time> | nullrequired

The timestamp when the cluster was deleted updated.

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X PUT 'https://api.kapten.io/cluster/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "my-production-cluster",
  "kube_config": "YXBpVmVyc2lvbjogdjEKY2x1c3RlcnM6Ci0gY2x1c3RlcjoKICAgIGNlcnRpZmljYXRlLWF1dGhvcml0eS1kYXRhOiBMUzB0TFMxQ1JVZEpUaUJEUlZKVVNVWkpRMEZVUlMwdExTMHQ="
}'
Response
{
  "cloud_provider": "aws",
  "created_at": "2025-06-10T22:16:02Z",
  "deleted_at": "2025-06-10T22:16:02Z",
  "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
  "name": "zKC",
  "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
  "state": "INITIALIZED",
  "update_at": "2025-06-10T22:16:02Z"
}

Was this page helpful?